// ================================================================================== //
// Name of File				: motion_set.h
// Vendor					: AISL-TUT
// Version					: 2.0.3
// ================================================================================== //

#ifndef __MOTION_SET__
#define __MOTION_SET__
#include "base_data.h"
#include "motion_define.h"

#define MOTION_DEF_FILE_NAME "MotionSet.mtn"

class MOTION_CONTROL{
public:
	MOTION_DATA data;
	MOTION_CONTROL();//Constructor
	~MOTION_CONTROL();//Destructor
	void read(void);//Read the motion data
	void read(std::string fileName);//Read the motion data
	void destroy(void);//Motion data destruction
};
#endif