// ================================================================================== //
// Name of File				: save.cpp
// Vendor					: AISL-TUT
// Version					: 1.0.0
// ================================================================================== //

#include <stdio.h>
#include <windows.h>
#include "save.h"

Save_struct::Save_struct(const char *filename){//Constructor
#ifdef ___DEBUG___
	puts("Save_struct(const char *filename) Constructor call");
#endif
	average_make_node_num = 0;
	make_node_counter = 0;
	fopen_s(&fp, filename, "w");//Open file
	if(fp == NULL) exit(-1);//Failure
	//printf("save log file name:%s\n", filename);
}

Save_struct::~Save_struct(){//Destructor
#ifdef ___DEBUG___
	puts("Save_struct() Destructor call");
#endif
	fprintf(fp, "\naverage=%d\n", average_make_node_num/make_node_counter);
	fclose(fp);
}

void Save_struct::calc_data(int node_num, TREE *path){//Updated
	average_make_node_num += node_num;
	make_node_counter++;

	fprintf(fp, "step%04d : %d\n", make_node_counter, node_num);//The number of nodes created in step 1
	fprintf(fp , "path[step+0]::: v: %.2lf  r: %.2lf\tpose_x:%.2lf y:%.2lf\n" , path[0].velocity , path[0].radius , path[0].pose.x , path[0].pose.y);
	fprintf(fp , "path[step+1]::: v: %.2lf  r: %.2lf\tpose_x:%.2lf y:%.2lf\n" , path[1].velocity , path[1].radius , path[1].pose.x , path[1].pose.y);
	fprintf(fp , "path[step+2]::: v: %.2lf  r: %.2lf\tpose_x:%.2lf y:%.2lf\n\n" , path[2].velocity , path[2].radius , path[2].pose.x , path[2].pose.y);
}
