// ================================================================================== //
// Name of File				: draw.h
// Vendor					: AISL-TUT
// Version					: 2.0.3
// ================================================================================== //
#ifndef _DRAW_H
#define _DRAW_H

#include "base_data.h"
#include "tree_new.h"
#include "obst_info.h"
//#include <opencv/cv.h>
//#include <opencv/cxcore.h>
//#include <opencv/highgui.h>

void WriteMovingObject(IplImage *LocalImg , M_OBJE *array_Mobje[OBJECT_MAX_NUM] ,short NumOfMobje , DATA_LOGGER robot_data);
CvPoint Calc_SubGoal(unsigned char **LocalMap_tmp , R_OBJE *robot ,DATA_LOGGER robot_data, float *xg);
void Draw_init(char *str, IplImage **img, CvPoint environment_size, int hNum, const char str2[]="Draw", int channels = 3);//Drawing Initialization
void Draw_end(IplImage **img , char *str);//Drawing ends
void Make_Simu_Map(IplImage *simulator , R_OBJE *robot , char *window_name);
void Draw_LMap_Data(IplImage *mpimg , TREE *path , TREE *tree , float *xs , float *xg , int n , int path_depth , int step, char *str , DATA_LOGGER robot_data , IMAGE_STORE *image_stack_LM, ROBOT_STATE *robot_state, unsigned short *warning_flag);
void cvCreateImage2(IplImage **img, CvSize size, int depth, int channels);
void Draw_LMap_Data2(IplImage *mpimg, char *str , IMAGE_STORE *image_stack_LM, unsigned short *warning_flag, int line_num);
void Draw_LMap_Data_Err(IplImage *mpimg , TREE *path , TREE *tree , float *xs , float *xg , int n , int path_depth , int step , char *str , DATA_LOGGER robot_data , IMAGE_STORE *image_stack_LM, ROBOT_STATE *robot_state, unsigned short *warning_flag);

void dilation3(unsigned char **LocalMap,M_OBJE *array_Mobje[OBJECT_MAX_NUM],short NumOfMobje,DATA_LOGGER robot_data,R_OBJE *robot ,float *xg);
void dilation4(unsigned char **LocalMap,R_OBJE *robot ,float *xg);
void convert_RVtoVLVR(double r , double vel, double *vr, double *vl);

CvPoint Draw_extended_waypoint(IplImage *mpimg,IplImage *gauss_f32,IplImage *dt_f32);


#endif