#pragma once


#include "../rtcutil/rtcutil.h"


#define STATIC_CONST_STRING( str ) static const std::string str = #str


namespace smutil
{

	/*=======================================================
		bZ[W̐ړ̃`FbN
	=======================================================*/
	static bool checkPrefix( const char *input, const char *prefix )
	{
		int lin = (int) strlen( input ), lpf = (int) strlen( prefix );
		int length = lin < lpf ? lin : lpf;
		return strncmp( input, prefix, length ) ? false : true;
	}


	/*=======================================================
		bZ[W̐ړ̃`FbN
	=======================================================*/
	static bool write( const std::string &msg, 
		RTC::TimedStringSeq &output, RTC::OutPort< RTC::TimedStringSeq > &outputOut )
	{
		
		output.tm.sec = output.tm.nsec = 0;
		output.data.length(0); // 
		output.data.length(1); // 1bZ[Ŵ
		output.data[0] = msg.c_str();

		return rtcutil::write( outputOut );
	}

}
