#pragma once


#include <cstdio>
#include <string>
#include "../misc/misc.h"


namespace sys
{

	class CommandExecutor
	{
	private:
		std::string res;

	public:
		bool execute( const char *str )
		{
			FILE *fp;
			if( ( fp = _popen( str, "r" ) ) == NULL ) {
				//݂͓ǂݍ݃[ĥǂ炩łJ܂
				return sys::returnByError< bool >( false,
					"CommandExecutor::execute(): cannot open." );
			}

			//Ӂ@R\[łׂ͂Ă̕擾ĂłȂƏ߂܂
			res = "";
			char ch;
			// Wo͂擾
			while( !feof( fp ) && (ch = fgetc( fp )) != EOF ) {
				res.push_back( ch );
			}

			fclose( fp );
			
			return true;
		}

		const std::string &getResult() const { return res; }
	};

}