#include "event.h"
#include "../crtsec/crtsec.h"
#include "../thread/thread.h"
#include <cstdio>
#include <cstdlib>


static const int th_n = 10;
int v = 0;

sys::Event ev;
sys::CriticalSection cs;
sys::Thread *th;


static unsigned int __stdcall process(void *data_event)
{
	sys::Event *ev = (sys::Event *) data_event;
	while(WAIT_TIMEOUT == ev->wait(0)){
		cs.enter();
		{

			int v_tmp = v;
			v_tmp ++;
			v = v_tmp;

			printf("v_tmp = %d, v = %d\n", v_tmp, v);

		}
		cs.exit();
		Sleep(100);
	}
	return 0;
}


int main()
{
	ev.initialize(true, false);

	cs.initialize();
	th = new sys::Thread[th_n];
	for(int i = 0; i < th_n; i ++){
		th[i].start(process, &ev);
	}

	getchar();

	ev.post();
	
	for(int i = 0; i < th_n; i ++){
		th[i].stop();
	}

	cs.finalize();
	delete [] th;

	return EXIT_SUCCESS;
}


